interface cookie {
    ltuid: string;
    ltoken: string;
    key: number;
    cookie: string;
}
type CookieStore = Pick<cookie, "ltoken" | "ltuid"> & {
    cookie_token?: string;
};
export declare class ClientCookieManager {
    private cookie;
    constructor();
    /**
     * @returns {number} - The amount of cookies.
     */
    get size(): number;
    setCookie(ltuid: string, ltoken: string): void;
    /**
     * @description Get the ltoken and ltuid for request.
     * @returns {cookie} - The ltoken and ltuid.
     */
    get(): cookie;
    /**
     * @param key - The key to remove.
     */
    delete(key: number): void;
    clear(): void;
    getAll(): cookie[];
    getBrowserCookie(customProfile: string): Promise<CookieStore>;
}
export {};
