"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorByRetcode = exports.APIError = void 0;
var APIError;
(function (APIError) {
    APIError["INVALID_COOKIES"] = "The provided cookies are invalid or expired";
    APIError["COOKIE_LIMIT"] = "Cannot get data for more than 30 accounts per cookie per day. Please use a different cookie.";
    APIError["API_BUSY"] = "API system busy. Please try again later.";
    APIError["ACCOUNT_NOT_FOUND"] = "The account is not found";
    APIError["CODE_IS_USED"] = "The code has been used";
})(APIError || (exports.APIError = APIError = {}));
const ERRORS = [
    { retcode: -100, message: APIError.INVALID_COOKIES },
    { retcode: 10001, message: APIError.INVALID_COOKIES },
    {
        retcode: 10101,
        message: APIError.COOKIE_LIMIT,
    },
    {
        retcode: -1048,
        message: APIError.API_BUSY,
    },
    {
        retcode: 1009,
        message: APIError.ACCOUNT_NOT_FOUND,
    },
    {
        retcode: -2017,
        message: APIError.CODE_IS_USED,
    },
    {
        retcode: -1071,
        message: APIError.INVALID_COOKIES,
    },
];
function getErrorByRetcode(retcode) {
    return ERRORS.find(error => error.retcode === retcode)?.message;
}
exports.getErrorByRetcode = getErrorByRetcode;
