import { BaseRoute, FetchOptions, Options } from "./base";
import type { CardBackListData, CardListData, TCGData, TCGGameRecordData } from "../interface";
export type CardListOptions = FetchOptions & Partial<{
    need_avatar: boolean;
    need_action: boolean;
    need_stats: boolean;
    offset: number;
    limit: number;
}>;
declare class BasicInfo extends BaseRoute<TCGData> {
    private readonly defaultOptions?;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: FetchOptions): Promise<TCGData>;
}
declare class CardList extends BaseRoute<CardListData> {
    private readonly defaultOptions?;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: CardListOptions): Promise<CardListData>;
}
declare class CardBackList extends BaseRoute<CardBackListData> {
    private readonly defaultOptions?;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: FetchOptions): Promise<CardBackListData>;
}
export declare class GameRecord extends BaseRoute<TCGGameRecordData> {
    private readonly defaultOptions?;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: FetchOptions): Promise<TCGGameRecordData>;
}
export declare class TCG {
    basicInfo: BasicInfo;
    cardList: CardList;
    cardBackList: CardBackList;
    gameRecord: GameRecord;
    constructor(options?: Options);
}
export {};
