import { Language } from "../constants/lang";
import type { ClientCookieManager } from "../client/clientCookieManager";
import type { FetchOptions } from "../routes/base";
import type { FetchClaimHistoryOption, SpiralAbyssFetchOptions, CardListOptions, MonthDiaryOptions } from "../routes";
interface mergeUtilOptions {
    options?: FetchOptions | SpiralAbyssFetchOptions | FetchClaimHistoryOption | CardListOptions | MonthDiaryOptions;
    cookieManager?: ClientCookieManager;
    defaultOptions?: FetchOptions;
}
export declare enum OptionType {
    FetchOptions = "FetchOptions",
    SpiralAbyssFetchOptions = "SpiralAbyssFetchOptions",
    FetchClaimHistoryOption = "FetchClaimHistoryOption",
    CardListOptions = "CardListOptions",
    MonthDiaryOptions = "MonthDiaryOptions"
}
export declare function mergeOptions(input: mergeUtilOptions, type?: OptionType): {
    cookie: string | undefined;
    language: Language;
    previous: boolean | undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    page: number | undefined;
    previous?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    need_avatar: boolean | undefined;
    need_action: boolean | undefined;
    need_stats: boolean | undefined;
    offset: number | undefined;
    limit: number | undefined;
    previous?: undefined;
    page?: undefined;
    month?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    month: number | undefined;
    previous?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    previous?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
};
export {};
