"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeFromObject = exports.alias = void 0;
function alias(obj, aliasMap) {
    const keys = Object.keys(obj ?? {});
    let i = keys.length;
    while (i--) {
        const key = keys[i] ?? "";
        const value = obj[key];
        if (Array.isArray(value)) {
            for (const item of value) {
                alias(item, aliasMap);
            }
        }
        if (aliasMap[key]) {
            obj[aliasMap[key]] = value;
            delete obj[key];
        }
        if (typeof value === "object") {
            alias(value, aliasMap);
        }
    }
    return obj;
}
exports.alias = alias;
function removeFromObject(obj, keys) {
    if (Array.isArray(obj)) {
        let i = obj.length;
        while (i--) {
            removeFromObject(obj[i], keys);
        }
    }
    const objKeys = Object.keys(obj);
    let i = objKeys.length;
    while (i--) {
        const key = objKeys[i] ?? "";
        if (keys.includes(key)) {
            delete obj[key];
        }
        if (Array.isArray(obj[key])) {
            let j = obj[key].length;
            while (j--) {
                removeFromObject(obj[key][j], keys);
            }
        }
    }
}
exports.removeFromObject = removeFromObject;
